<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_37) on Mon Sep 09 14:45:37 CEST 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
IPerimetreStrategie (FwkCktlScolPeda - Droits - Perimetre de donnees)
</TITLE>

<META NAME="date" CONTENT="2013-09-09">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IPerimetreStrategie (FwkCktlScolPeda - Droits - Perimetre de donnees)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreProvider.html" title="interface in org.cocktail.fwkcktlscolpeda.serveur.metier.droits"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreGirofleProvider.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreStrategie.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IPerimetreStrategie.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.cocktail.fwkcktlscolpeda.serveur.metier.droits</FONT>
<BR>
Interface IPerimetreStrategie</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElement.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElement</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElementsFormation.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElementsFormation</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElementsFormationUserResp.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElementsFormationUserResp</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormation.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormation</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormationsComposante.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormationsComposante</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormationsComposanteUser.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormationsComposanteUser</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesGrade.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesGrade</A>, <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieDefault.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieDefault</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>IPerimetreStrategie</B></DL>
</PRE>

<P>
Cette interface definit une strategie de construction des perimetres.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EOQualifier</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreStrategie.html#getQualifier()">getQualifier</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Qualifier correspondant à la strategie.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getQualifier()"><!-- --></A><H3>
getQualifier</H3>
<PRE>
EOQualifier <B>getQualifier</B>()</PRE>
<DL>
<DD>Qualifier correspondant à la strategie.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>un qualifier construit avec la strategie courante</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreProvider.html" title="interface in org.cocktail.fwkcktlscolpeda.serveur.metier.droits"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreGirofleProvider.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreStrategie.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IPerimetreStrategie.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
